#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	ghostscript
Version		:	10.02.1
Release		:	14.8.0.0%{?dist}
Summary		:	A PostScript interpreter and renderer
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+ and Redistributable, no modification permitted
URL		:	http://www.ghostscript.com/
			#https://github.com/ArtifexSoftware/ghostpdl-downloads/releases

Source0		:	%{name}-%{version}.tar.xz
Source1		:	%{name}-fonts-std-8.11.tar.gz
Source2		:	gnu-gs-fonts-other-6.0.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	cups-devel
BuildRequires	:	cairo-devel
BuildRequires	:	fontconfig-devel
BuildRequires	:	freetype-devel
BuildRequires	:	gtk3+
BuildRequires	:	lcms2
BuildRequires	:	libjpeg-turbo-devel
BuildRequires	:	libpng-devel
BuildRequires	:	libtiff
BuildRequires	:	openjpeg	>= 2.4.0
BuildRequires	:	xorg-libXt
BuildRequires	:	zlib

Requires(post)	:	/usr/bin/fc-cache
Requires	:	libgs		=	%{version}-%{release}

#-----------------------------------------------------------------------------
%description
Ghostscript is a set of software that provides a PostScript
interpreter, a set of C procedures (the Ghostscript library, which
implements the graphics capabilities in the PostScript language) and
an interpreter for Portable Document Format (PDF) files. Ghostscript
translates PostScript code into many common, bitmapped formats, like
those understood by your printer or screen. Ghostscript is normally
used to display PostScript files and to print PostScript files to
non-PostScript printers.
 
If you need to display PostScript files or print them to
non-PostScript printers, you should install ghostscript. If you
install ghostscript, you also need to install the ghostscript-fonts
package.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/*
%{_includedir}/ps
%{_defaultdocdir}/%{name}-%{version}/*
%{_mandir}/man1/*.1.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig
fc-cache %{_datadir}/%{name}/fonts

#=============================================================================
%package -n		libgs
Summary		:	Library providing Ghostcript's core functionality

%description -n		libgs
This library provides Ghostscript's core functionality, based on Ghostscript's
API, which is useful for many packages that are build on top of Ghostscript.

#-----------------------------------------------------------------------------
%files -n		libgs
%defattr(-,root,root,-)
%license LICENSE doc/COPYING
%{_libdir}/libgs.so.*
%{_datadir}/%{name}/%{version}/Resource/*
%{_datadir}/%{name}/%{version}/iccprofiles/*
%{_datadir}/%{name}/%{version}/lib/*.{ps,upp}
%{_datadir}/%{name}/%{version}/lib/*.{xbm,xpm}
%{_datadir}/%{name}/%{version}/lib/*.{ppd,rpd}
%{_datadir}/%{name}/fonts/*

#=============================================================================
%package -n		libgs-devel
Summary		:	Development files for Ghostscript's library

#-----------------------------------------------------------------------------
Requires	:	libgs		=	%{version}-%{release}

#-----------------------------------------------------------------------------
%description -n		libgs-devel
his package contains development files that are useful for building packages
against Ghostscript's library, which provides Ghostscript's core functionality

#-----------------------------------------------------------------------------
%files -n		libgs-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_libdir}/libgs.so

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__rm} -fr freetype lcms2mt jpeg libpng openjpeg zlib

sed -i									\
  -e 's/gscms_transformm_color_const/gscms_transform_color_const/'	\
  base/gsicc_lcms2.c

tar xf %{SOURCE1}
tar xf %{SOURCE2}

./autogen.sh						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--with-system-libtiff				\
	--with-x					\
	--with-drivers=ALL				\
	--disable-compile-inits				\
	--enable-cups					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
%{__make} %{_smp_mflags} so

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__make}						\
	DESTDIR=%{buildroot}				\
	soinstall

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#installing include file
%{__mkdir_p} %{buildroot}%{_includedir}/%{name}
%{__cp} -a						\
	base/*.h					\
	%{buildroot}%{_includedir}/%{name}
%{__ln_s}						\
	%{name}						\
	%{buildroot}%{_includedir}/ps
	
#installing fonts
cp -a							\
	fonts						\
	%{buildroot}%{_datadir}/%{name}
	
#-----------------------------------------------------------------------------
%changelog
